[package]
name = "ghost-staking-miner-playground"
version = "0.1.3"
description = "FRAME-based Substrate node, ready for hacking."
build = "build.rs"
license.workspace = true
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true

[[bin]]
name = "staking-miner-playground"

[dependencies]
clap = { workspace = true, features = ["derive"] }
futures = { workspace = true }
serde_json = { workspace = true }

frame-system = { workspace = true }
pallet-staking = { workspace = true }
pallet-transaction-payment = { workspace = true }
sc-cli = { workspace = true }
sc-client-api = { workspace = true }
sc-consensus = { workspace = true }
sc-consensus-aura = { workspace = true }
sc-consensus-grandpa = { workspace = true }
sc-executor = { workspace = true }
sc-network = { workspace = true }
sc-service = { workspace = true }
sc-telemetry = { workspace = true }
sc-transaction-pool = { workspace = true }
sc-offchain = { workspace = true }
sp-consensus-aura = { workspace = true }
sp-consensus-grandpa = { workspace = true }
sp-core = { workspace = true }
inherents = { workspace = true }
keyring = { workspace = true }
sp-runtime = { workspace = true }
sp-timestamp = { workspace = true }

# These dependencies are used for the node template's RPCs
jsonrpsee = { workspace = true, features = ["server"] }
sc-basic-authorship = { workspace = true }
sc-rpc-api = { workspace = true }
sp-api = { workspace = true }
sp-blockchain = { workspace = true }
sp-block-builder = { workspace = true }
substrate-frame-rpc-system = { workspace = true }
pallet-transaction-payment-rpc = { workspace = true }

# Local Dependencies
runtime = { path = "../runtime" }
rand = { workspace = true } 
lazy_static = { workspace = true } 

[build-dependencies]
substrate-build-script-utils = { workspace = true }

[features]
default = []
